
Jupiter - Zadanie #1707
Zadanie # 1616 (W toku): Utworzenie formularza do edycji yelementu
Sekcja do zarządzania bibliografią
2017-06-01 09:44 - Michał Komar

Status: Rozwiązany Start date: 2017-06-23
Priority: Normalny Due date: 2017-06-23
Assignee: Michał Komar % Done: 0%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Monika Maksymiuk Tester: Michał Komar
Description

Sekcja bibliografii operuje na kolekcji relations w YElemencie. Zarządza jedynie jej częścią, a mianowicie elementami których type ==
'RL_REFERENCE_TO'.
Wpis bibliograficzny składa się z wielu pól (atrybutów), które nie są oczywiste dla użytkownika. 
Lista atrybutów:
    -  reference-parsed-title 
    -  reference-parsed-author 
    -  reference-parsed-editor
    -  reference-parsed-year
    -  reference-parsed-number
    -  reference-parsed-volume
    -  reference-parsed-id-issn
    -  reference-parsed-id-doi

    1. Najlepszym rozwiązaniem, bezdie umożliwienie  wprowadzania bibliografii w postaci tekstu w teoretycznie dowolnym formacie,
który następnie będzie parsowany do odpowiedniego wpisu (patrz #1640). 
    2. Powinna istnieć także druga opcja, polegająca na generowaniu wpisu na podstawie wyszukanego elementu. 
    3. Ad.1 - po sparsowaniu, powinna istnieć możliwośc przypisania dokumentu poprzez wyszukiwarkę z pkt2. Wyszukanie to nie
generowałoby nowego wpisu, a jedynie ustawiało identifikator (target).

Subtasks:
Zadanie # 1734: Zaawansowana edycja rekordu bibliograficznego Nowy
Related issues:
Related to Jupiter - Zadanie # 1641: Utworzenie UI do generowani  bibliografii Zamknięty 2017-07-31
Related to Jupiter - Zadanie # 1737: Ostylowanie sekcji parsowania bibliograf... Zamknięty 2017-06-19
Follows Jupiter - Zadanie # 1725: Serwis do parsowania bibliografii Rozwiązany 2017-06-22

Associated revisions
Revision e1616630 - 2017-06-07 14:10 - Monika Maksymiuk

refs #1707. Komponent do parsowania i komponent do wyswietlania bibliografii

Revision f8664879 - 2017-06-08 15:21 - Monika Maksymiuk

refs #1707. Usuwanie i mechanizm prostej edycji bibliografii

Revision 0acad75c - 2017-06-12 08:16 - Monika Maksymiuk

refs #1707. Parsowanie i zapisywanie do YElementu bibliografii.

2024-05-19 1/7



Revision 4bd50038 - 2017-06-12 08:21 - Monika Maksymiuk

refs #1707. Poprawka w zapisywaniu bibliografii

Revision fba22e19 - 2017-06-12 08:38 - Monika Maksymiuk

refs #1707. Poprawienie literowki

Revision 9e708ced - 2017-06-14 11:49 - Monika Maksymiuk

refs #1707. Wyszukiwanie publikacji do dowiązania. Dowiazywanie publikacji do bibliografii

Revision 9172a4c1 - 2017-06-26 16:55 - Monika Maksymiuk

refs #1707. Resize textarea do wysokosci tekstu

Revision 30a6672c - 2017-06-26 16:55 - Monika Maksymiuk

refs #1707. Ikona do wybierania wyniku wyszukiwania

Revision b03f85e8 - 2017-06-26 16:55 - Monika Maksymiuk

refs #1707. Button do szukania

Revision dc688b2a - 2017-06-26 16:55 - Monika Maksymiuk

refs #1707. Wychodzenie z trybu edycji

Revision 8821989c - 2017-06-27 07:38 - Monika Maksymiuk

refs #1707. Poprawienie bledu

Revision 008ff4c4 - 2017-06-27 13:28 - Monika Maksymiuk

refs #1707. Focus na pole do wyuszukiwania i pole edycji

Revision 518e37b3 - 2017-06-27 14:04 - Monika Maksymiuk

refs #1707. setTimeout w ngAfterViewInit

Revision 9d92558e - 2017-06-28 12:31 - Monika Maksymiuk
refs #1707. Ustawianie formatu parsowanej bibliografii

Revision 693aaad3 - 2017-06-28 12:37 - Monika Maksymiuk

refs #1707. Sprawdzenie typu eventa przy wyborze formatu

Revision 7129308d - 2017-07-06 09:18 - Monika Maksymiuk

refs #1707. Blokada propagacji eventów. Poprawne wyswietlanie tekstu po wyjsciu z edycji bibliografii

Revision 52ba7f10 - 2017-07-06 09:46 - Monika Maksymiuk

refs #1707. Potwierdzenie usuniecia rekordu i odwiazania go od publikacji

Revision 2e3588ae - 2017-07-06 12:38 - Monika Maksymiuk

refs #1707. Pozycja kółka

Revision e9cf9338 - 2017-07-31 11:11 - Monika Maksymiuk

refs #1707. Uzupełnienie tłumaczeń

Revision 14435e51 - 2017-07-31 12:08 - Monika Maksymiuk

refs #1707. Tłumaczenie labelkiprzy wyszukiwaniu publikacji

Revision 5cb94b7b - 2017-09-04 13:47 - Monika Maksymiuk

refs #1707. Powieksznie placeholdra. Wylaczenie auocomplete dla bibliografii

Revision 8d918109 - 2017-09-04 14:18 - Monika Maksymiuk

refs #1707. Bugfix: Brak ponownego przepisywania watosci z formularza do edycji rekordu

Revision 43f8e768 - 2017-09-11 13:38 - Monika Maksymiuk

refs #1707. Lokalizacja

Revision 926cf1ac - 2017-09-11 13:41 - Monika Maksymiuk

refs #1707. Lokalizacja w bibliografii i afiliacjach
Revision 2c68302b - 2017-09-11 13:44 - Monika Maksymiuk

refs #1707. Ponowne wygenerowanie xlf

Revision 3bc6a0b8 - 2017-09-12 07:36 - Monika Maksymiuk

refs #1707. Zamiana title na mdTooltip

Revision 0edd049d - 2017-09-14 09:41 - Monika Maksymiuk

refs #1707. Lokalizacja parsowania bibliografii

Revision bc41e4c5 - 2017-09-14 14:25 - Monika Maksymiuk

refs #1707. Undefined przy wyszukiwaniu po tytule nowo dodanych rekordow

Revision f6145e0d - 2017-09-19 14:13 - Michał Komar

refs #1707: Nie wiem czemu, ale trzeba wymusić change detection.

History
#1 - 2017-06-05 13:27 - Michał Komar
- Follows Zadanie #1725: Serwis do parsowania bibliografii added

#2 - 2017-06-05 13:28 - Michał Komar
- Related to Zadanie #1641: Utworzenie UI do generowani  bibliografii added

#3 - 2017-06-13 12:55 - Monika Maksymiuk
- % Done changed from 0 to 80

Po ustaleniach:
Ad 1. Jedyną możliwością dodawania bibliografii jest wprowadzenie jej do pola tekstowego i wybrania formatu bibliografii. Po kliknięciu dodaj, rekordy
bibliograficzne są parsowane i wyświetlane
Ad 2. Nie generujemy wpisu na podstawie wyszukanego elementu - argument przeciw: użytkownik i tak nie będzie zbyt często dodawał bibliografii
pojedyńczo, a jest to mnożenie bytów względem 3 punktu
Ad 3. Po sparsowaniu istnieje możliwość przypisania dokumentu przez wyszukiwarkę. Po wyszukaniu i wybraniu publikacji ikona "dowiązania" staje się
aktywna. Po najechaniu na nią w tooltipie pojawia się bwmetaid i name dowiązanego elementu, a po kliknięciu na ikonę, do schowka kopiuje się
bwmetaid

#4 - 2017-06-19 08:59 - Monika Maksymiuk
- Status changed from Nowy to Testowanie
- Assignee changed from Monika Maksymiuk to Michał Komar

W tooltipie pojawia się tylko nazwa dowiązanego elementu (tak jest moim zdaniem ładniej). Trzeba jeszcze ostylować sekcję parsowania bibliografii i
zlokalizować problem z biblioteką do kopiowania bwmetaid do schowka. To daję do osobnego taska. Reszta skończona.
#5 - 2017-06-19 09:11 - Monika Maksymiuk
- Related to Zadanie #1737: Ostylowanie sekcji parsowania bibliografii i dodanie mechanizmy kopiowania do schowka bwmetaid added

#6 - 2017-06-21 13:04 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Monika Maksymiuk

Nie wiem, czy da się to w prosty sposób zrobić, ale fajnie by było, gdyby textarea z edytowaną bibliografią była wielkości wyświetlanego tekstu.

Do dyskusji - może wprowadzić takie zachowanie, żeby po wejściu na kolejny wpis bibliograficzny, poprzedni się zamykał, jeżeli nie był edytowany  ?

Przy wyszukiwaniu należy ustawić focus na input po kliknięciu lupki i może jakiś przycisk do wyszukiwania, bo enter nie jest intuicyjny.

Przy wyborze elementu do linkowania też przydałaby się ikonka z akcją "podlinkuj/przypisz"(kliknięcie w dokument mogłoby przekierowywać do
dokumentu lub wyświetlać dodatkowe dane)

#7 - 2017-06-21 13:04 - Michał Komar
- Tester Michał Komar added

#8 - 2017-06-27 13:31 - Monika Maksymiuk
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Monika Maksymiuk to Michał Komar

#9 - 2017-06-28 13:12 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Monika Maksymiuk

    1. Kółko pojawiające się podczas kliknięcia na przycisk wyszukiwania powiązanych publikacji znajduje się w złym miejscu
    2. Wprowadzanie tekstu w bibliografii (edycja istniejącego rekordu) powoduje bardzo duże obciążenie procesora i laguje - może warto
obsłużyć eventy keydown i keyup i anulować propagację eventu wyżej?
    3. Dodać potwierdzenie przy usuwaniu wpisu (może też przy odpinaniu powiązanego dokumentu ? )
    4. kliknięcie krzyżyka nie przywraca pierwotnej wartości - działa tak jak zapisanie

Reszta super.

#10 - 2017-07-06 13:09 - Monika Maksymiuk
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Monika Maksymiuk to Łukasz Waśkiewicz

Poprawiłam, ale lagowanie przy edycji budzi moją wątpliwość. Do zweryfikowania na jakimś przyjemniejszym komputerze od mojego

#11 - 2017-07-14 12:50 - Łukasz Waśkiewicz
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

#12 - 2017-07-26 08:19 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Monika Maksymiuk

    1. Ok
    2. Cały czas lagi nieakceptowalne - czy użyłaś OnPush? Może to zignorujemy i w ramach innego zadania dodam optymalizację?
    3. Ok
    4. Ok

Przy próbie wyszukiwania powiązanego elementu w placeholderze jest null.

#13 - 2017-07-31 12:11 - Monika Maksymiuk
- Status changed from Odpowiedź to Testowanie

Labelki poprawione, optymalizację lepiej do osobnego taska

#14 - 2017-07-31 12:11 - Monika Maksymiuk
- Assignee changed from Monika Maksymiuk to Michał Komar

#15 - 2017-08-01 12:52 - Michał Komar
- Status changed from Testowanie to Odpowiedź

Wszystko ok.
Pozostałaj jedna rzecz - trzeba zmienić wielkość placeholdera "wyszukaj publikację po tytule". Jest on nieczytelny w momencie wprowadzania tekstu.
Należy zmodyfikować styl:
.mat-input-placeholder.mat-float:not(.mat-empty), .mat-focused .mat-input-placeholder.mat-float {
    -webkit-transform: translateY(-1.28125em) scale(0.75) perspective(100px) translateZ(0.001px);
    transform: translateY(-1.28125em) scale(0.75) perspective(100px) translateZ(0.001px);
    -ms-transform: translateY(-1.28125em) scale(0.75);
    width: 133.33333333%;
}
Zamienić scale(0.75) na scale(1) lub w ogóle go usunąć

#16 - 2017-08-01 12:53 - Michał Komar
- Assignee changed from Michał Komar to Monika Maksymiuk

#17 - 2017-09-04 14:48 - Monika Maksymiuk
- Status changed from Odpowiedź to Rozwiązany
- Assignee changed from Monika Maksymiuk to Michał Komar

#18 - 2017-09-04 14:48 - Monika Maksymiuk
- Status changed from Rozwiązany to Testowanie

#19 - 2017-09-05 13:50 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Monika Maksymiuk

Nie można odwiązać dokumentu.
Usunąć przycisk do przypisywania. Przypisanie powinno odbywać się poprzez kliknięcie w tytuł. Dodać tooltip na tytule -> "Przypisz publikację".
#20 - 2017-09-12 07:37 - Monika Maksymiuk
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Monika Maksymiuk to Michał Komar

#21 - 2017-09-12 14:30 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Monika Maksymiuk

Przy drugim wyszukiwaniu, przesłonka nie znika.

#22 - 2017-09-14 09:45 - Monika Maksymiuk
- Assignee changed from Monika Maksymiuk to Michał Komar

Przesłonka nie znika też przy pierwszym wyszukiwaniu jeśli się nie odkliknie. Do sprawdzenia, czy to się nie popsuło przy poprawkach z busy

#23 - 2017-09-19 14:15 - Michał Komar
- Assignee changed from Michał Komar to Monika Maksymiuk

Sprawdź , czy działa.

#24 - 2017-11-24 14:49 - Monika Maksymiuk
- Status changed from Odpowiedź to Rozwiązany
- Assignee changed from Monika Maksymiuk to Michał Komar
